Bug 251920 (cmake-3.19.2) - [exp-run] Update cmake to 3.19.2
Summary: [exp-run] Update cmake to 3.19.2
Status: Closed FIXED
Alias: cmake-3.19.2
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-17 17:52 UTC by Tobias C. Berner
Modified: 2021-01-02 08:24 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (16.77 KB, patch)
2020-12-17 17:52 UTC, Tobias C. Berner
no flags Details | Diff
v2 (16.88 KB, patch)
2020-12-31 18:42 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-12-17 17:52:32 UTC
Created attachment 220670 [details]
v1

Moin moin 


kde@ would like to ask for an exp-run to upgrade devel/cmake to 3.19.2 -- the previous iterations were skipped, as they failed to be able to build llvm10.

The patch is attached, and can also be found here
https://people.freebsd.org/~tcberner/patches/cmake-3.19.2.v1.diff

mfg Tobias
Comment 2 Shane 2020-12-29 23:34:48 UTC
In the pkg-plist you have left in the automatic replace of "3.7" with "%%PYTHON_VER%%"
Comment 3 Tobias C. Berner freebsd_committer 2020-12-31 18:42:42 UTC
Created attachment 221149 [details]
v2

Moin moin

This one fixes kms-cmake-utils, and the wrong plist as reported by Shane.

https://people.freebsd.org/~tcberner/patches/cmake-3.19.2.v2.diff


mfg Tobias
Comment 4 Antoine Brodin freebsd_committer 2021-01-01 16:40:29 UTC
If you tested it, it's approved,  no need for another exp-run
Comment 5 commit-hook freebsd_committer 2021-01-02 08:22:41 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan  2 08:21:45 UTC 2021
New revision: 559920
URL: https://svnweb.freebsd.org/changeset/ports/559920

Log:
  Update devel/cmake to 3.19.2

  Release notes:
          - https://cmake.org/cmake/help/v3.19/release/3.19.html

  Exp-run by:	 antoine
  PR:		251920

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Modules_FindwxWidgets.cmake
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
  head/devel/kms-cmake-utils/Makefile
Comment 6 Tobias C. Berner freebsd_committer 2021-01-02 08:24:27 UTC
Thanks for the exp-run.